package it.unibo.lbedogni.datamanagement;

import android.content.res.XmlResourceParser;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.ViewGroup.LayoutParams;
import android.widget.LinearLayout;
import android.widget.TextView;

public class XmlFilesActivity extends AppCompatActivity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.xmlfiles_layout);
        
        XmlResourceParser grades = getResources().getXml(R.xml.myxmlfile);
        LinearLayout ll = (LinearLayout)findViewById(R.id.myLL);
        int tag = -1;
        while (tag != XmlResourceParser.END_DOCUMENT) {
        	if (tag == XmlResourceParser.START_TAG) {
        		String name = grades.getName();
        		if (name.equals("student")) {
        			TextView tv = new TextView(this);
        			LayoutParams lp = new LayoutParams(LayoutParams.FILL_PARENT, LayoutParams.WRAP_CONTENT);
        			tv.setLayoutParams(lp);
        			
        			String toWrite = grades.getAttributeValue(null, "name") + " - " +
        					grades.getAttributeValue(null, "class") + " - " + grades.getAttributeValue(null, "year") +
        					" - " + grades.getAttributeValue(null, "grade");
        			tv.setText(toWrite);
        			ll.addView(tv);
        		}
        	}
        	try {
				tag = grades.next();
			} catch (Exception e) { }
        }
    }
}